ProcessorResource

RESTful endpoint for managing a Processor.

The following resources are applicable:

/controller/process-groups/{process-group-id}/processors

Mount Point: /rest/controller/process-groups/{process-group-id}/processors

The following operations are supported on this resource:

GET

Retrieves all the processors in this NiFi.

Parameters

name description type default
clientId Optional client id. If the client id is not specified, a new one will be generated. This value (whether specified or generated) is included in the response. query
process-group-id (no documentation provided) path

Response Body

element: processorsEntity
media types: application/xml
application/json

A processorsEntity.

POST

Creates a new processor.

Parameters

name description type default
version The revision is used to verify the client is working with the latest version of the flow. form
clientId Optional client id. If the client id is not specified, a new one will be generated. This value (whether specified or generated) is included in the response. form
name The name of the new processor. form
type The type of the new processor. This type should refer to one of the types in the GET /controller/processor-types response. form
x The x coordinate for this funnels position. form
y The y coordinate for this funnels position. form
process-group-id (no documentation provided) path

Response Body

element: processorEntity
media types: application/xml
application/json

A processorEntity.

POST

Creates a new processor.

Parameters

name description type default
process-group-id (no documentation provided) path

Request Body

element: processorEntity
media types: application/xml
application/json

A processorEntity.

Response Body

element: processorEntity
media types: application/xml
application/json

A processorEntity.

/controller/process-groups/{process-group-id}/processors/{id}

Mount Point: /rest/controller/process-groups/{process-group-id}/processors/{id}

The following operations are supported on this resource:

GET

Retrieves the specified processor.

Parameters

name description type default
clientId Optional client id. If the client id is not specified, a new one will be generated. This value (whether specified or generated) is included in the response. query
id The id of the processor to retrieve. path
process-group-id (no documentation provided) path

Response Body

element: processorEntity
media types: application/xml
application/json

A processorEntity.

PUT

Updates the specified processor with the specified values.

Parameters

name description type default
version The revision is used to verify the client is working with the latest version of the flow. form
clientId Optional client id. If the client id is not specified, a new one will be generated. This value (whether specified or generated) is included in the response. form
id The id of the processor to update. path
x The x coordinate for this processors position. form
y The y coordinate for this processors position. form
name The name of the processor. form
concurrentlySchedulableTaskCount The number of concurrentlySchedulableTasks form
schedulingPeriod The scheduling period form
penaltyDuration The penalty duration form
yieldDuration The yield duration form
runDurationMillis The run duration in milliseconds form
bulletinLevel The bulletin level form
schedulingStrategy The scheduling strategy form
comments Any comments about this processor. form
markedForDeletion[] Array of property names whose value should be removed. form
state The processors state. form
process-group-id (no documentation provided) path

Request Body

element: formParams
media types: application/x-www-form-urlencoded

Additionally, the processor properties and styles are specified in the form parameters. Because the property names and styles differ from processor to processor they are specified in a map-like fashion:

Response Body

element: processorEntity
media types: application/xml
application/json

A processorEntity.

PUT

Updates the specified processor with the specified values.

Parameters

name description type default
id The id of the processor to update. path
process-group-id (no documentation provided) path

Request Body

element: processorEntity
media types: application/xml
application/json

A processorEntity.

Response Body

element: processorEntity
media types: application/xml
application/json

A processorEntity.

DELETE

Removes the specified processor.

Parameters

name description type default
version The revision is used to verify the client is working with the latest version of the flow. query
clientId Optional client id. If the client id is not specified, a new one will be generated. This value (whether specified or generated) is included in the response. query
id The id of the processor to remove. path
process-group-id (no documentation provided) path

Response Body

element: processorEntity
media types: application/xml
application/json

A processorEntity.

/controller/process-groups/{process-group-id}/processors/{id}/status/history

Mount Point: /rest/controller/process-groups/{process-group-id}/processors/{id}/status/history

GET

Retrieves the specified processor status history.

Parameters

name description type default
clientId Optional client id. If the client id is not specified, a new one will be generated. This value (whether specified or generated) is included in the response. query
id The id of the processor history to retrieve. path
process-group-id (no documentation provided) path

Response Body

element: statusHistoryEntity
media types: application/xml
application/json

A statusHistoryEntity.